---
title: Users
description: The Users API of the PingOne Recognize Mobile SDK Server API performs operations on PingOne Recognize users.
component: recognize
page_id: recognize:mobile-sdk:mobile-sdk-server-api-users
canonical_url: https://docs.pingidentity.com/recognize/mobile-sdk/mobile-sdk-server-api-users.html
llms_txt: https://docs.pingidentity.com/recognize/llms.txt
docs_for_agents: https://developer.pingidentity.com/build-with-ai/docs-for-agents.md
revdate: May 5, 2026
section_ids:
  endpoint-user-delete: DELETE /users/{userId}
  path-params-user-delete: Path parameters
  responses-user-delete: Responses
  example-user-delete: Example
---

# Users

All endpoints require the `X-Api-Key` header for authentication, which should contain your PingOne Recognize authorization key. For help, contact Support.

## DELETE /users/{userId}

Delete a user and all associated entities

Permanently delete a user and all entities associated with that user.

### Path parameters

| Name                  | Type           | Description                                   |
| --------------------- | -------------- | --------------------------------------------- |
| `userId` **required** | `string (HEX)` | Uppercase HEX string representing the user ID |

### Responses

| Status | Description                                  |
| ------ | -------------------------------------------- |
| `200`  | User deleted — returns `{ "success": true }` |
| `400`  | Invalid request                              |
| `401`  | Unauthorized                                 |
| `404`  | User not found                               |
| `406`  | Not acceptable                               |
| `500`  | Internal server error                        |

### Example

**Request**

```none
DELETE /v2/users/A1B2C3D4E5F6
X-Api-Key: your-api-key
```

**Response 200**

```json
{
  "success": true
}
```
